/**
 * jQuery Mobile Menu 
 * Turn unordered list menu into dropdown select menu
 * version 1.0(31-OCT-2011)
 * 
 * Built on top of the jQuery library
 *   http://jquery.com
 * 
 * Documentation
 *   http://github.com/mambows/mobilemenu
 */
(function($){
$.fn.mobileMenu = function(options) {
  
  var defaults = {
      defaultText: 'Navigate to...',
      className: 'select-menu',
      subMenuClass: 'sub-menu',
      subMenuDash: '&ndash;'
    },
    settings = $.extend( defaults, options ),
    el = $(this);
  
  this.each(function(){
    // ad class to submenu list
    el.find('ul').addClass(settings.subMenuClass);

    // Create base menu
    $('<select  />',{
      'class' : settings.className,
      'onChange': 'scrollTo(this.value)',
      'name' : "dropdown"
    }).insertAfter( el );

    // Create default option
    $('<option />', {
      "value"   : '#',
      "text"    : settings.defaultText
    }).appendTo( '.' + settings.className );

    // Create select option from menu
    el.find('a').each(function(){
      var $this   = $(this),
          optText = '&nbsp;' + $this.text(),
          optSub  = $this.parents( '.' + settings.subMenuClass ),
          len     = optSub.length,
          dash;
      
      // if menu has sub menu
      if( $this.parents('ul').hasClass( settings.subMenuClass ) ) {
        dash = Array( len+1 ).join( settings.subMenuDash );
        optText = dash + optText;
      }

      // Now build menu and append it
      $('<option />', {
        "value" : this.href,
        "html"  : optText,
        "selected" : (this.href == window.location.href)
      }).appendTo( '.' + settings.className );

    }); // End el.find('a').each

    // Change event on select element
    $('.' + settings.className).change(function(){
      var locations = $(this).val();
      if( locations !== '#' ) {
        window.location.href = $(this).val();
      };
    });

  }); // End this.each

  return this;

};
})(jQuery);

/**
 * dgwork Edd Related Scripts
 */

var register_text = dgwork_data !== undefined? dgwork_data.register_text : 'Register';

jQuery(document).ready(function($){
   
   /* Prepend element to the page */
   $('.edd_download_file').prepend('<i class="fa fa-download"></i>');
   $('.edd-lost-password').prepend('<a href="?page=register" class="dgw-register-link">'+register_text+'</a>');
   
   /* Product content wrapper */
   if($('body').hasClass('custom-edd-product-template') && $('body').hasClass('custom-edd-product-template-sidebar')==false && $('body').html().indexOf('vc_row')>0){
     $('#page').removeClass('dgw-grid-1000');
   }

   /* Swipe Slider */
   var galleryTop = new Swiper('.gallery-top', {
    nextButton: '.swiper-button-next',
    prevButton: '.swiper-button-prev',
    spaceBetween: 10
   });
   
   $('.dgwork-product-item').each(function(){
     $(this).children('.text-desc').css({
       width: $(this).width(),
       height: $(this).height()
     });
   });
   
   var galleryThumbs = new Swiper('.gallery-thumbs', {
    spaceBetween: 5,
    centeredSlides: true,
    grabCursor: true,
    slidesPerView: 'auto',
    slideToClickedSlide: true
   });
   galleryTop.params.control = galleryThumbs;
   galleryThumbs.params.control = galleryTop;
   
   /* Preview Mode Size */
   $('#dgwork-preview #product-slider-big.swiper-container').css('height',$(window).height()-80);

   /* Media player setup */
   //if($('body').hasClass('single-download')){
     plyr.setup();
     
     (function(d, p){
      var a = new XMLHttpRequest(),
          b = d.body;
      a.open('GET', p, true);
      a.send();
      a.onload = function() {
          var c = d.createElement('div');
          c.setAttribute('hidden', '');
          c.innerHTML = a.responseText;
          b.insertBefore(c, b.childNodes[0]);
      };
    })(document, 'https://cdn.plyr.io/1.6.13/plyr.svg');
  //}
  
  $('.dgwork-preview .preview_thumnail').hover(function(){
    $(this).children('i').slideDown();
  },function(){
    $(this).children('i').slideUp();
  });
  
  /* Show the option price */
  $('.edd_price_options ul li input[type="radio"]').on('click',function(){
    $('.edd_price').html(dgwork_data.currency+$(this).attr('data-price'));
  });

  /* Resize the product thumbnail size */
  $('.dgwork-product-item img').each(function(){
      var thumbnail_height = $(this).height();
      if(thumbnail_height < 200){
          $(this).css({
            width: 'auto',
            height: '200px'
          });
      }
  });
  
  $('.edd-loading').empty().append('<i class="fa fa-spinner fa-spin"></i>').hide();

  /* Show the price option */
  var custom_template_buy_button=$('.custom-edd-product-template .buy_info .edd-add-to-cart');
  custom_template_buy_button.on('click',function(){
     $(this).children('.edd-loading').show();
  });
  custom_template_buy_button.hover(function(){
     $(this).parent().prev().fadeIn();
  });
  $('.custom-edd-product-template .buy_info .edd_price_options').prepend('<a class="close_price_options" href="javascript:void(0);"><i class="fa fa-close"></i></a>');
  $('.custom-edd-product-template .buy_info .edd_price_options .close_price_options').on('click',function(){
     $(this).parent().fadeOut();
  });

  $('.dgwork-edd-buy-wrapper').each(function(){
    var priceOptionsHover = {
              over : function(){$(this).find('.edd_price_options').slideDown();},  
              out : function(){$(this).find('.edd_price_options').slideUp();},
              timeout : 100  
          }
    $(this).hoverIntent(priceOptionsHover);

  });

  /* account mobile navigation */
  $('ul.dgwork_user_dropdown').mobileMenu({
        defaultText: dgwork_data.menu_select_text,
        className: 'select-menu',
        subMenuDash: '&nbsp;&nbsp;'
  });
  $(".select-menu").each(function(){  
      $(this).wrap('<div class="css3-selectbox">');
  });
 
  /* Attach grid wrapper to edd downloads grid */
  $('.edd_downloads_list').addClass('dgwork-product-grid');
 
  /* Masonry 
  var gutter=20;
  if($('.dgwork-product-grid').hasClass('dgwork-masonry')){
      gutter=0;
    var opts = {
      itemSelector: '.type-download',
      columnWidth: '.type-download',
      transitionDuration: 0,
      isAnimated: true
    }

    var $grid =  $('.dgwork-product-grid').masonry(opts);     
  }

  /* Position and show image as it loads 
  $('.dgwork-product-grid').imagesLoaded().progress(function(imgLoadData, elem ){
      $(elem.img).closest('.type-download').css('opacity', 1);
      if($('.dgwork-product-grid').hasClass('dgwork-masonry')){
         $grid.masonry('layout');
      }
  }); 
  */
  
  /* Sticky item navigation */
  var sticky_offset=60;   
  if($('body').hasClass('admin-bar')){
    if($(window).width()<=600){
       sticky_offset = 60;
    }else{
       sticky_offset = 92;
    }
  }
  $('#view').sticky({topSpacing:sticky_offset});

  $('#edd_terms').niceScroll({cursorcolor:"#999",autohidemode: false});
});


/* Edit Profile */
(function ($) {
  
  $(function() {
    
    var editProfile = $( '#edd_profile_editor_form' );
    
    editProfile.submit(function(){
      
      if($('#edd_new_user_pass2').val() !== $('#edd_new_user_pass1').val()){
         if($('.psw-error').length==0){
           $('#edd_new_user_pass2').after('<div class="error psw-error">'+dgwork_data.psw_error+'</div>');
         }
      }else{
           if (editProfile.valid())
            {
              editProfile.find(".edd_submit").attr('value',dgwork_data.save_text).css('opacity','.5');
              var formValues = $(this).serialize();
              
              $.post($(this).attr('action'), formValues, function(data)
              {
                if ( data == 'success' )
                {
                  editProfile.clearForm();
                }
                $('#edd_new_user_pass2').after('<div class="success psw-success">'+dgwork_data.profile_edit_success+'</div>');
                editProfile.find(".edd_submit").attr('value',dgwork_data.save_button_text).css('opacity','1');
                $('.error').remove();
              });
            }
      }


      return false
    });
  
  });
  
  
  $.fn.clearForm = function() {
    return this.each(function() {
      var type = this.type, tag = this.tagName.toLowerCase();
      if (tag == 'form')
        return $(':input',this).clearForm();
      if (type == 'text' || type == 'password' || tag == 'textarea')
        this.value = '';
      else if (type == 'checkbox' || type == 'radio')
        this.checked = false;
      else if (tag == 'select')
        this.selectedIndex = -1;
    });
  };
  

})(jQuery);