/**
 * theme.js
 * Scripts for the theme.
 * @since 1.0.2
 */

jQuery(document).ready(function($){
	/*-------------------------
	Basic Theme Related Scripts	
	--------------------------*/
	
	$('.menu-item-has-children').each(function(){
		if( $(this).find('.dgwork-mega-menu').length > 0 ){
			 $(this).find('.sub-menu').hide();
			 $(this).css('position', 'static');

			 $(this).find('.dgwork-mega-menu').css({
			 	 marginLeft: -($(this).find('.dgwork-mega-menu').width()/2)+'px',
			 	 top: $('.menu-item-has-children').height()-2+'px'
			 });
		}

		if($(window).width() >= 960){

			var megaMenuAction = {
					    over : function(){ $(this).find('.dgwork-mega-menu').fadeIn('fast');},  
					    out : function(){ $(this).find('.dgwork-mega-menu').fadeOut('fast');},
					    timeout : 100  
					}
			$(this).hoverIntent(megaMenuAction);
	    }
	});

	if($('.sub-menu').height() > $(window).height()-70){
		 $('.sub-menu').css('width','480px');
		 $('.sub-menu li').css('float','left');
	}

	/* Mobile menu toggle */
	$('#mobile_menu .menu-item-has-children').addClass('pushy-submenu');
	
	$('.pushy .menu-item-has-children > a').each(function(){
		$(this).after('<a href="javascript:void(0);" class="open-submeu"><i class="fa fa-plus"></i></a>');
	});
	
	$('.menu-toggle').click(function(){
		$('#close-menu').css('display','block');
	});
	
    $('.pushy ul li a.open-submeu').toggle(function(){
	  $(this).next().slideDown();
	  $(this).children('i').removeClass('fa-plus').addClass('fa-minus');
    },function(){
	  $(this).next().slideUp();
	  $(this).children('i').removeClass('fa-minus').addClass('fa-plus');
    });

	/*Sticky Top*/
	var default_logo =  $('#site-logo').attr('src');
	$(window).on('scroll',function(){
		if(dgwork_data.sticky_top == 1){
	        /*Sticky Top*/
	        if($(document).scrollTop() > 0){
	          if($(window).width()<=600){
	             $('#dgw-topbar.sticky-nav').css('top','0');
		      }
		      $('#dgw-topbar').addClass('sticky-nav');
		      $('#site-logo').attr('src', $('#site-logo').attr('data-logo'));
			}else{
			  $('#dgw-topbar').removeClass('sticky-nav');
			  $('#site-logo').attr('src', default_logo);
			  $('#dgw-topbar').removeClass('sticky-nav');
			}
	    }
	});
	
	/*Apply the post format to the comment content elements*/
	$('.comment-content').addClass('entry-content');
	
	/*Popup*/
    function dgw_popup(button,obj,status){
	    $(button).on('click',function(){
	      if(status=='open'){
		   $('#dgw_popup').animate({top:'20%'},'slow');
		   $(obj).show();
		   $('#s').focus();
		  }else{
		   $('#dgw_popup').animate({top:'-1000px'},'slow');
		   $(obj).hide();
		  }
	    });
    }

    dgw_popup('#product_search','#dgw_search','open');
    dgw_popup('#dgw_popup_close','#dgw_search','close');
	
    
    /*One Page Scroll*/
    $('.bullet_links,.site-header,.anchor_link,.anchor_link a').localScroll({
		target: 'body', // could be a selector or a jQuery object too.
		queue:true,
		duration:1000,
		hash:true,
		easing:'easeInOutExpo',
		offset: {left: 0, top: -50}
	});	
	
    $(window).scroll(function() {
	
			var currentNode = null;
			$('.vc_row').each(function(){
			  if($(this).attr('id')){
				var currentId = $(this).attr('id');	
				if($(window).scrollTop() >= $('#'+currentId).offset().top - 50)
				{
					currentNode = currentId;
				}
			  }
			});
			$('.bullet_links').children('a.anchor').removeClass('active');
			$('.bullet_links').find('a[href="#'+currentNode+'"]').addClass('active');
			
	});
	
     /*Masonry*/	
	 $('#grid').imagesLoaded(function() {
	      $('#grid').masonry({
	        itemSelector: '.post',
	        gutter: 10
	      });
	 });
    	
});