<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * * @package DGWork
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/> 
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="body-container">
    <?php
      do_action('dgwork_before_header');
    ?>
	<header id="masthead" class="site-header <?php dgwork_header_layout();?>">

		<?php
		/**
		 * Hook dgwork_header
		 * @hooked dgwork_before_navigation - 0
		 * @hooked dgwork_custom_logo - 10
		 * @hooked dgwork_primary_navigation - 20
		 * @hooked dgwork_top_buttons - 30
		 * @hooked dgwork_after_navigation - 40
		 */
		do_action('dgwork_header');
		?>
	</header><!-- #masthead -->
	
	<?php do_action('dgwork_after_header');?>