<?php
/**
 * Custom category field
 * @package DGWork
 * @since 1.0
 */


// Add term page
function dgwork_category_add_new_meta_field() {
	// this will add the custom meta field to the add new term page
	?>
	<div class="form-field">
		<label for="term_meta[template]"><?php _e( 'Template', 'dgwork' ); ?></label>
		<select name="term_meta[template]" id="term_meta[template]">
		  <option value="standard">Standard</option>
		  <option value="no-sidebar">Standard without Sidebar</option>
		  <option value="masonry">Masonry</option>
		  <option value="overlap">Overlap</option>
		  <option value="grid">Grid</option>
		</select>
		<p class="description"><?php _e( 'Select a template for the archive page.','dgwork' ); ?></p>
	</div>
	
	<div class="form-field">
		<label for="term_meta[header_picture]"><?php _e( 'Header Picture URL', 'dgwork' ); ?></label>
		<input type="text" name="term_meta[header_picture]" id="term_meta[header_picture]" value="" />
		<p class="description"><?php _e( 'Copy the header picture URL to here.','dgwork' ); ?></p>

	</div>
	
<?php
}
add_action( 'category_add_form_fields', 'dgwork_category_add_new_meta_field', 10, 2 );

// Edit term page
function dgwork_category_edit_meta_field($term) {
 
	// put the term ID into a variable
	$t_id = $term->term_id;
 
	// retrieve the existing value(s) for this meta field. This returns an array
	$term_meta = get_option( "taxonomy_$t_id" ); ?>
	<tr class="form-field">
	<th scope="row" valign="top"><label for="term_meta[template]"><?php _e( 'Template', 'dgwork' ); ?></label></th>
		<td>
		<select name="term_meta[template]" id="term_meta[template]">		  
		  <option value="standard" <?php if(esc_attr( $term_meta['template'])=='standard')echo 'selected="selected"'; ?>>Standard</option>
		  <option value="no-sidebar" <?php if(esc_attr( $term_meta['template'])=='no-sidebar')echo 'selected="selected"'; ?>>Standard without Sidebar</option>
		  <option value="masonry" <?php if(esc_attr( $term_meta['template'])=='masonry')echo'selected="selected"'; ?>>Masonry</option>
		  <option value="overlap" <?php if(esc_attr( $term_meta['template'])=='overlap')echo 'selected="selected"'; ?>>Overlap</option>
		  <option value="grid" <?php if(esc_attr( $term_meta['template'])=='grid')echo 'selected="selected"'; ?>>Grid</option>
		  
		</select>
		<p class="description"><?php _e( 'Select a template for the archive page.','dgwork' ); ?></p>
		</td>
	</tr>
	
	
	<tr class="form-field">
	<th scope="row" valign="top"><label for="term_meta[header_picture]"><?php _e( 'Header Picture URL', 'dgwork' ); ?></label></th>
		<td>
			<input type="text" name="term_meta[header_picture]" id="term_meta[header_picture]" value="<?php echo esc_attr( $term_meta['header_picture'] ) ? esc_attr( $term_meta['header_picture'] ) : ''; ?>">
			<p class="description"><?php _e( 'Copy the header picture URL to here.','dgwork' ); ?></p>
		</td>
	</tr>
<?php
}
add_action( 'category_edit_form_fields', 'dgwork_category_edit_meta_field', 10, 2 );

// Save extra taxonomy fields callback function.
function dgwork_save_category_custom_meta( $term_id ) {
	if ( isset( $_POST['term_meta'] ) ) {
		$t_id = $term_id;
		$term_meta = get_option( "taxonomy_$t_id" );
		$cat_keys = array_keys( $_POST['term_meta'] );
		foreach ( $cat_keys as $key ) {
			if ( isset ( $_POST['term_meta'][$key] ) ) {
				$term_meta[$key] = $_POST['term_meta'][$key];
			}
		}
		// Save the option array.
		update_option( "taxonomy_$t_id", $term_meta );
	}
}  
add_action( 'edited_category', 'dgwork_save_category_custom_meta', 10, 2 );  
add_action( 'create_category', 'dgwork_save_category_custom_meta', 10, 2 );

?>