<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
  exit( 'Direct script access denied.' );
}
$allow_tags = array(
    //formatting
    'strong' => array(),
    'em'     => array(),
    'b'      => array(),
    'i'      => array(),

    //links
    'a'     => array(
        'href' => array()
    )
);
do_action('DGWorkAdmin_header');
?>

 <div class="section">
      <div class="box">
        <p><?php esc_html_e('DGWork comes with 6 months of free support for every license you purchase. Support can be extended through subscriptions via ThemeForest. All support for DGWork is handled through our support center on our support forum. Please note, we don\'t provide customization service, so the free support only includes bug fixing, trouble using and small changes.','dgwork');?></p>
        <a class="button button-primary" href="https://forum.themevan.com/forum/dgwork" target="_blank">Go to Support Forum</a>
      </div>

      <div class="box">
        <h2><?php esc_html_e( 'FAQ', 'dgwork' ); ?></h2>
        <div class="questions">
          <div class="item">
            <h4><?php esc_html_e("1. Why I can't import the sample data?",'dgwork');?></h4>
            <p><?php esc_html_e("You'd better deactivated all the plugins except the required plugins before you import the sample data. After the data is imported, then reactivate all the plugins.","dgwork");?></p>
            </div>
          
          <div class="item">
            <h4><?php esc_html_e("2. How I upgrade the bundled plugins?",'dgwork');?></h4>
            <p><?php esc_html_e("The bundled premium plugins will come with the new version of this theme, so you can upgrade them in DGWork > Plugins page after you upgrade the new version of DGWork","dgwork");?></p>
          </div>
        
          <div class="item">
            <h4><?php esc_html_e("3. What's the safe way to customize the theme without lose my changes when I upgrade the theme in the future?",'dgwork');?></h4>
            <p><?php esc_html_e("First of all, We strongly suggest you don't modify the DGWork theme, otherwise, you will not able to upgrade the theme smoothly in the future. ",'dgwork');?> </p>
            <p><?php printf(wp_kses(__("The best way is use child theme, you can put all your custom changes into child theme folder. Learn more about the <a href='%s' target='_blank'>Child Theme in WordPress Codex</a>. ",'dgwork'),$allow_tags),'https://codex.wordpress.org/Child_Themes');?></p>
            
            <p>
            <?php printf(wp_kses(__("If you don't want to create child theme, you can put the custom CSS and JS into 'Appearance > Theme options > Additionals', or install <a href='%s' target='_blank'>Custom css-js-php plugin</a>, it allows you to insert your own custom CSS, JS and PHP functions through your WordPress backend.  ",'dgwork'),$allow_tags),'https://wordpress.org/plugins/custom-css-js-php/');?>
            </p>
          </div>
        </div>
      </div>

      <div class="box">
        <h3><?php esc_html_e( 'Documentations', 'dgwork' ); ?></h3>
        <ul>
          <li><a href="http://themevan.com/docs/dgwork" target="_blank">- <?php esc_html_e('DGWork Documentation','dgwork');?></a></li>
          <li><a href="https://wpbakery.com/features/support/visual_composer_documentation/" target="_blank">- <?php esc_html_e('WPBakery Page Builder Documentation','dgwork');?></a></li>
          <li><a href="https://www.themepunch.com/revslider-doc/slider-revolution-documentation/" target="_blank">- <?php esc_html_e('Revolution Slider Documentation','dgwork');?></a></li>
        </ul>
      </div>
 </div>



</div>