<?php
/**
 * Custom metabox for shop category and posts.
 * Eventually, some of the functionality here could be replaced by core features. * @package DGWork
 */


/**
 * Custom product category field
 */

// Add term page
function dgwork_taxonomy_add_new_meta_field() {
	// this will add the custom meta field to the add new term page
	?>
	<div class="form-field template-settings">
		<label for="term_meta[cat_template]"><?php esc_html_e( 'Template', 'dgwork' ); ?></label>
		<select name="term_meta[cat_template]" id="term_meta[cat_template]">
		 <option value="default"><?php esc_html_e('Default','dgwork');?></option>
		 <option value="three_columns"><?php esc_html_e('Three Columns','dgwork');?></option>
		</select>
	</div>
	
	<div class="form-field">
		<label for="term_meta[header_picture]"><?php esc_html_e( 'Header Picture', 'dgwork' ); ?></label>
		<input type="text" name="term_meta[header_picture]" id="term_meta[header_picture]" value="" />
		<p class="description"><?php _e( 'Copy the header picture URL to here.','dgwork' ); ?></p>
	</div>
<?php
}
add_action( 'download_category_add_form_fields', 'dgwork_taxonomy_add_new_meta_field', 20, 2 );

// Edit term page
function dgwork_taxonomy_edit_meta_field($term) {
 
	// put the term ID into a variable
	$t_id = $term->term_id;
 
	// retrieve the existing value(s) for this meta field. This returns an array
	$term_meta = get_option( "taxonomy_$t_id" ); ?>
	
	<tr class="form-field template-settings">
	<th scope="row" valign="top"><label for="term_meta[cat_template]"><?php esc_html_e( 'Templates', 'dgwork' ); ?></label></th>
		<td>			
		  <select name="term_meta[cat_template]" id="term_meta[cat_template]">
		    <option value="default" <?php if(esc_attr( $term_meta['cat_template'])=='default')echo 'selected="selected"'; ?>><?php esc_html_e('Default','dgwork');?></option>
		    <option value="three_columns" <?php if(esc_attr( $term_meta['cat_template'])=='three_columns')echo 'selected="selected"'; ?>><?php esc_html_e('Three Columns','dgwork');?></option>
		  </select>
		</td>
	</tr>
	
	<tr class="form-field">
	<th scope="row" valign="top"><label for="term_meta[header_picture]"><?php _e( 'Header Picture URL', 'dgwork' ); ?></label></th>
		<td>
			<input type="text" name="term_meta[header_picture]" id="term_meta[header_picture]" value="<?php echo esc_attr( $term_meta['header_picture'] ) ? esc_attr( $term_meta['header_picture'] ) : ''; ?>">
			<p class="description"><?php _e( 'Copy the header picture URL to here.','dgwork' ); ?></p>
		</td>
	</tr>
<?php 
}
add_action( 'download_category_edit_form_fields', 'dgwork_taxonomy_edit_meta_field', 20, 2 );

// Save extra taxonomy fields callback function.
function dgwork_save_dgwork_taxonomy_custom_meta( $term_id ) {
	 if ( isset( $_POST['term_meta'] ) ) {
        $t_id = $term_id;
        $term_meta = get_option( "taxonomy_$t_id");
        $cat_keys = array_keys($_POST['term_meta']);
            foreach ($cat_keys as $key){
            if (isset($_POST['term_meta'][$key])){
                $term_meta[$key] = $_POST['term_meta'][$key];
            }
        }
        //save the option array
        update_option( "taxonomy_$t_id", $term_meta );
    }
}  
add_action( 'edited_download_category', 'dgwork_save_dgwork_taxonomy_custom_meta', 10, 2 );  
add_action( 'create_download_category', 'dgwork_save_dgwork_taxonomy_custom_meta', 10, 2 );

?>