<?php
/**
 * Custom EDD template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 * Inspired by Storefront theme. 
 * @package DGWork
 */

if ( ! function_exists( 'dgwork_before_product_description_content' ) ) :
/**
 * Before Single Product Main Content
 */
function dgwork_before_product_description_content(){
	echo '<main id="primary" class="dgw-grid dgw-col8 site-main">';
}
endif;

if ( ! function_exists( 'dgwork_item_title' ) ) :
/**
 * Item Title	
 */
function dgwork_item_title(){
	echo'<header class="entry-header">
		get_the_title( "<h1 class="entry-title dgwork-product-title">", "</h1>" ); ?>
	</header><!-- .entry-header -->';
}
endif;

if ( ! function_exists( 'dgwork_item_slider' ) ) :
/**
 * Item Slider	
 */
function dgwork_item_slider($meta_key,$preview){
    global $post;
	// Get the list of files
    $files = get_post_meta( $post->ID, $meta_key, 1 );
    $slider='';
    
    if($files<>''):
    $slider= '<div id="product-slider">';
    $slider.= '<div id="product-slider-big" class="swiper-container gallery-top">';
      if(isset($_GET['preview']) && $_GET['preview']=='screenshots'){
	   $slider.='<a href="'.esc_url(get_permalink()).'" class="preview-close"><i class="fa fa-close"></i></a>';
	  }
	  
	  if(!isset($preview) || $preview==''){
	      $slider.='<a class="preview-zoom" href="'.esc_url(get_permalink()).'?preview=screenshots"><i class="fa fa-search-plus"></i></a>';
	  }
	  $slider.='<div class="swiper-wrapper">';
    // Loop through them and output an image
    foreach ( (array) $files as $attachment_id => $attachment_url ) {
        $picture_url=wp_get_attachment_image_src($attachment_id,'full');
        $slider.= '<div class="swiper-slide" style="background-image:url('.esc_url($picture_url[0]).')"></div>';
    }
    $slider.= '</div>
     <!-- Add Arrows -->
	    <div class="swiper-button-next swiper-button-white"></div>
	    <div class="swiper-button-prev swiper-button-white"></div>
	</div>';
	
	if($preview<>''){
		$slider.='<div id="product-thumbnail" class="swiper-container gallery-thumbs">
		    <div class="swiper-wrapper">';    
		 // Loop through them and output an image
	    foreach ( (array) $files as $attachment_id => $attachment_url ) {
	        $picture_url=wp_get_attachment_image_src($attachment_id,'medium');
	        $slider.= '<div class="swiper-slide" style="background-image:url('.esc_url($picture_url[0]).')"></div>';
	    }       
	    $slider.= ' </div>
	    </div>';
    }
    $slider.='</div>'; 
    
    return $slider;
    endif;
}
endif;


if ( ! function_exists( 'dgwork_item_preview' ) ) :
/**
 * Item Preview	
 */

function dgwork_item_preview($echo = true){
	global $post;
	
	$preview_type=esc_attr(get_post_meta($post->ID, "_dgwork_preview_type", true));
	$preview_url=esc_url(get_post_meta($post->ID, "_dgwork_preview_url", true));
	$preview_video=esc_url(get_post_meta($post->ID, "_dgwork_preview_video", true));
	$preview_disable_theme_player=esc_attr(get_post_meta($post->ID, "_dgwork_disable_theme_player", true));
	$preview_audio=esc_url(get_post_meta($post->ID, "_dgwork_preview_audio", true));
	$video_url = esc_url(get_post_meta($post->ID, "_dgwork_video_url", true));

	$image_size = is_single() ? 'full' : dgwork_thumbnail_size();

	$html = '';
	if($preview_type<>''){
	  $html = '<div class="dgwork-preview">';
	  switch($preview_type){
		case 'pictures':
		   /**
			 * Template part for product slider
			 * @function dgwork_item_slider($meta_key)
			 */
			$preview='';
			if(isset($_GET['preview']) && $_GET['preview']<>''){
				$preview=$_GET['preview'];
			}
			$html .= dgwork_item_slider('_dgwork_preview_pictures',$preview);
		break; 
		
		case 'video':
			if (strpos($preview_video, 'youtube') > 0) {
	          $video_site='youtube';
		      $video_id=explode('=',$preview_video);
		    } elseif (strpos($preview_video, 'vimeo') > 0) {
		      $video_site='vimeo';
		      $video_id=explode('vimeo.com/',$preview_video);
		    }

		   if($preview_video<>''):
			   	if($preview_disable_theme_player == '1' && isset($preview_disable_theme_player)){
				   $html .= '<div class="default-player">';
				   if (strpos($preview_video, 'vimeo') > 0) {
				       $html .= '<iframe src="https://player.vimeo.com/video/'.$video_id[1].'?api=1&badge=0&byline=0&portrait=0&title=0" webkitallowfullscreen="" mozallowfullscreen allowfullscreen frameborder="0"></iframe>';
				   }elseif (strpos($preview_video, 'youtube') > 0) {
				        $html .=  '<iframe src="https://www.youtube.com/embed/'.$video_id[1].'?rel=0" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe>';
				   }
				    $html .=  '</div>';
				}else{
				    $html .=  '<div class="plyr">
						    <div data-video-id="'.esc_html($video_id[1]).'" data-type="'.esc_html($video_site).'"></div>
						</div>';
				}
		  
		   endif;
		break;
		
		case 'audio':
		   if($preview_audio<>''):
		   	 $html .=  '<a href="'.get_permalink().'" class="preview_thumnail" itemprop="image">'.get_the_post_thumbnail($post->ID, $image_size).'</a>
		    <div class="plyr">
			    <audio controls>
			        <!-- Audio files -->';
				     $html .= '<source src="'.esc_url($preview_audio).'" type="audio/mp3">';
				  
			    $html .= ' </audio>
			</div>';
		    endif;
		break;

		case 'video_file':
		   if($video_url<>''):
		   	 $html .=  '<video poster="'.get_the_post_thumbnail_url().'" controls>
				  <source src="'.esc_url($video_url).'" type="video/mp4">
				  <source src="'.esc_url($video_url).'" type="video/webm">
				</video>';
		    endif;
		break;
		
		default:
		   if($preview_url<>''){
		  	  $html .=  '<a href="'.esc_url($preview_url).'" target="_blank" class="preview_thumnail"><i class="fa fa-plus"></i>'.get_the_post_thumbnail($post->ID, $image_size).'</a>';
		   }else{
 			  $html .=  get_the_post_thumbnail($post->ID, $image_size);
		   }
	  }
       $html .=  '</div>';

       if($echo){
       	  echo $html;
       }else{
       	  return $html;
       }
	}
}
endif;

if ( ! function_exists( 'dgwork_item_buy' ) ) :
/**
 * Item Buy	
 */
function dgwork_item_buy(){
    global $post;
    $output='';
    
    $price=esc_attr(get_post_meta($post->ID, "edd_price", true));
    $price_text=esc_html__('Price','dgwork').': <span itemprop="price">'.edd_price(get_the_ID(),false).'</span>';
    $button_text=esc_html__('Buy Now','dgwork');
    if($price==0){
	  $price_text='<span class="free" itemprop="price">'.esc_html__('Free!','dgwork').'</span>';
	  $button_text=esc_html__('Download','dgwork');
    }

	echo '<aside id="dgwork-buy" class="widget">
    <h3 class="widget-title">'.esc_html__('Item Details','dgwork').'</h3>
    <div class="price_info">';
    if(esc_attr(get_post_meta($post->ID, "_dgwork_hide_price", true))<>'1'){
     echo'<div class="price">'.$price_text.'</div>';
    }
    if(esc_attr(get_post_meta($post->ID, "_dgwork_external_checkout_url", true))<>''){
       echo '<a href="'.esc_url(get_post_meta($post->ID, "_dgwork_external_checkout_url", true)).'" class="external-checkout button" target="_blank">'.$button_text.'</a>';
    }else{
       echo dgwork_get_purchase_link(array('text'=>$button_text,'price'=>0));
    }
    
    if(esc_attr(get_post_meta($post->ID, "_dgwork_preview_url", true))<>''){
    	echo '<a href="'.esc_url(get_post_meta($post->ID, "_dgwork_preview_url", true)).'" class="preview-demo button" target="_blank">'.esc_html__('Preview It','dgwork').'</a>';
	}
    echo '</div></aside>';
}
endif;

if ( ! function_exists( 'dgwork_buy_button' ) ) :
function dgwork_buy_button($show='button'){
  global $post;
  $price=esc_attr(get_post_meta($post->ID, "edd_price", true));
  $price_text=edd_price(get_the_ID(),false);
  $button_text=esc_html__('Buy Now','dgwork');
  if($price==0){
      $price_text='<span class="edd_price" itemprop="price">'.esc_html__('Free!','dgwork').'</span>';
      $button_text=esc_html__('Download','dgwork');
  }
  
  $html='';
  if($show=='price'){
	  if(esc_attr(get_post_meta($post->ID, "_dgwork_hide_price", true))<>'1'){
		 $html .= $price_text;
	  }
  }
  
  if($show=='button'){
  	$html='<div class="buy_info">';
	  if(esc_attr(get_post_meta($post->ID, "_dgwork_external_checkout_url", true))<>''){
	     $html .= '<a href="'.esc_url(get_post_meta($post->ID, "_dgwork_external_checkout_url", true)).'" class="external-checkout button" target="_blank">'.esc_html($button_text).'</a>';
	  }else{
	     $html .= dgwork_get_purchase_link(array('text'=>$button_text,'price'=>0));
	  }

	  if(esc_attr(get_post_meta($post->ID, "_dgwork_preview_url", true))<>''){
	     $html .= '<a href="'.esc_url(get_post_meta($post->ID, "_dgwork_preview_url", true)).'" class="preview-demo button" target="_blank">'.esc_html__('Preview It','dgwork').'</a>';
	  }
	$html.='</div>';
  }

  return $html;
}
endif;

if ( ! function_exists( 'dgwork_product_tabs' ) ) :
function dgwork_product_tabs(){
  global $dgwork_option;

  echo'<div id="view" class="dgwork-product-tab">
	  <ul class="dgw-grid-'.$GLOBALS['content_width'].'">
	  	<li '.dgwork_product_tab_active(true,'item-description').'><a href="'.esc_url(get_permalink()).'">'.esc_html__('Description','dgwork').'</a></li>
	  	<li '.dgwork_product_tab_active(false,'item-details').'><a href="'.esc_url(get_permalink()).'?view=item-details#view">'.esc_html__('Item Details','dgwork').'</a></li>';

	  	if(isset($dgwork_option['product_comment']) && $dgwork_option['product_comment'] == '1'){
	  		if(comments_open() || get_comments_number()){
	  			echo '<li '.dgwork_product_tab_active(false,'comments').'><a href="'.esc_url(get_permalink()).'?view=comments">'.esc_html__('Comments','dgwork').'</a></li>';
	  	    	do_action('dgwork_appended_product_tabs');
	  	    }
	    }

	  	echo '<li class="buy-button">'.dgwork_buy_button('button').'</li>
	  </ul>
	</div>';
}
endif;

if ( ! function_exists( 'dgwork_standard_product_tabs' ) ) :
function dgwork_standard_product_tabs(){
  global $dgwork_option;

  echo'<div id="view" class="dgwork-product-tab">
	   <ul class="dgw-grid-'.$GLOBALS['content_width'].'">
	  	<li '.dgwork_product_tab_active(true,'descriptions').'><a href="'.esc_url(get_permalink()).'">'.esc_html__('Description','dgwork').'</a></li>';

    if(isset($dgwork_option['product_comment']) && $dgwork_option['product_comment'] == '1'){
      if(comments_open() || get_comments_number()){
	    echo'<li '.dgwork_product_tab_active(false,'comments').'><a href="'.esc_url(get_permalink()).'?view=comments">'. esc_html__('Comments','dgwork').'</a></li>';
	  }
	}
	
	do_action('dgwork_appended_standard_product_tabs');
	 
 echo' </ul>
	</div>';
}
endif;



function dgwork_product_tab_active($null,$value){
  if($null==false){	
	if(isset($_GET['view']) && $_GET['view']==$value){
		return 'class="dgwork-product-tab-active"';
    }
  }

  if($null==true){	
	if(!isset($_GET['view']) || $_GET['view']==''){
		return 'class="dgwork-product-tab-active"';
    }
  }
}

if ( ! function_exists( 'dgwork_item_details' ) ) :
/**
 * Item Details
 */
function dgwork_item_details(){
    global $post;
    $details='';
    $append_license = '';
    $last_updated_date=esc_attr(get_post_meta($post->ID, "_dgwork_last_updated_date", true));
    $file_type=esc_attr(get_post_meta($post->ID, "_dgwork_custom_file_type", true));
    $file_size=esc_attr(get_post_meta($post->ID, "_dgwork_file_size", true));
    $license=esc_attr(get_post_meta($post->ID, "_dgwork_license", true));
    $requirements=esc_attr(get_post_meta($post->ID, "_dgwork_requirements", true));
    $custom_license_group = get_post_meta( get_the_ID(), '_dgwork_license_info', true );
    $additional_details = get_post_meta( get_the_ID(), '_dgwork_additional_details', true );
    
	$details.='<aside id="dgwork-product-info" class="widget">
	     <dl>
         <dt>'.esc_html__('Details','dgwork').'</dt>';
   
    $categories = get_the_term_list( $post->ID, 'download_category', '', ', ', '' );
	if ( '' != $categories ){
         $details.='<dd><i class="fa fa-columns"></i>'.esc_html__('Category','dgwork').': '.$categories.'</dd>';
    }

    $details.='<dd><i class="fa fa-calendar"></i>'.esc_html__('Released Date','dgwork').': '.get_the_date().'</dd>';
    
    if($last_updated_date!==''){
		$details.='<dd><i class="fa fa-calendar-o"></i>'.esc_html__('Last Updated','dgwork').': '.$last_updated_date.'</dd>';
	}
	
	if($file_type!==''){
		$details.='<dd><i class="fa fa-file-zip-o"></i>'.esc_html__('File Types','dgwork').': '.$file_type.'</dd>';
	}
	
	if($file_size!==''){
		$details.='<dd><i class="fa fa-folder-open-o"></i>'.esc_html__('File Size','dgwork').': '.$file_size.'</dd>';
	}

	if(!isset($custom_license_group[0]) || empty($custom_license_group[0]) || $custom_license_group[0]==''){
	   if($license!==''){
	      switch ($license){
		     case 'GPL2':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html').'" target="_blank">'.$license.'</a></dd>';
		       break;
		       
		     case 'GPL3':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('https://www.gnu.org/licenses/gpl-3.0.en.html').'" target="_blank">'.$license.'</a></dd>';
		       break;
		       
		    case 'BSD':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('http://www.linfo.org/bsdlicense.html').'" target="_blank">'.$license.'</a></dd>';
		       break;
		       
		    case 'ApacheLicense':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('http://www.apache.org/licenses/LICENSE-2.0').'" target="_blank">'.$license.'</a></dd>';
		       break;

		    case 'MIT':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('https://opensource.org/licenses/MIT').'" target="_blank">'.$license.'</a></dd>';
		       break;

		   case 'cc':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': <a href="'.esc_url('https://creativecommons.org/licenses/').'" target="_blank">'.$license.'</a></dd>';
		       break;

		    case 'noCopyright':
		       $details.='<dd><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': '.esc_html__('No Copyright','dgwork').'</dd>';
		       break;

		     default:
		       $details.='';
		       break;
	      }
	      $details.= apply_filters('dgwork_append_preset_license',$append_license);
	   }
	  }else{
	    $details.='<dd class="copyright"><i class="fa fa-copyright"></i>'.esc_html__('Licenses','dgwork').': ';
		foreach ( (array) $custom_license_group as $key => $entry ) {

		    $license_name = $license_link = '';
		
		    if ( isset( $entry['_dgwork_custom_license_name'] ) )
		        $license_name = esc_html( $entry['_dgwork_custom_license_name'] );
		
		    if ( isset( $entry['_dgwork_custom_license_link'] ) )
		        $license_link = esc_url( $entry['_dgwork_custom_license_link'] );
		
		    $details.= '<a href="'.esc_url($license_link).'" target="_blank">'.esc_html($license_name).'</a> ';
		}
		$details.='</dd>';
	}
	
	if($requirements!==''){
		$details.='<dd><i class="fa fa-laptop"></i>'.esc_html__('Requirements','dgwork').': '.esc_html($requirements).'</dd>';
	}
	
	if($additional_details!==''){
		$details.= $additional_details;
	}

    $details.='</dl></aside>';
    
    echo wp_kses_post($details);
}
endif;

if ( ! function_exists( 'dgwork_item_vendor' ) ) :
/**
 * Item Tags
 */
function dgwork_item_vendor(){
	global $post;

	if ( class_exists('EDD_Front_End_Submissions') ):?>
	<aside id="dgwork-product-vendor" class="widget">
        <h4 class="widget-title"><?php echo esc_html__('About Vendor','dgwork');?></h4>
        <div class="vendor-info">
			<a class="avatar" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) ));?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 80 ); ?></a>
			<p class="name"><strong><?php the_author_meta('nickname'); ?></strong></p>
			<?php the_author_meta('description'); ?> 
			<a class="button" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) ));?>"><?php esc_html_e('View Store', 'dgwork');?></a>
        </div>
    </aside>
   <?php endif;
}
endif;

if ( ! function_exists( 'dgwork_item_tags' ) ) :
/**
 * Item Tags
 */
function dgwork_item_tags(){
	global $post;
    $tags = get_the_term_list( $post->ID, 'download_tag', '', ', ', '' );
	if ( '' != $tags ){
	echo'<aside id="dgwork-product-tags" class="widget">
        <h4 class="widget-title">'.esc_html__('Tags','dgwork').'</h4>
        <div class="product-tags">
        '.wp_kses_post($tags).'
        </div>
    </aside>';
   }
}
endif;

//add_filter('tmvs_edd_grid_preview', 'dgwork_tmvs_edd_preview');
function dgwork_tmvs_edd_preview(){
  global $post,$dgwork_option;
  $preview_type=esc_attr(get_post_meta($post->ID, "_dgwork_preview_type", true));
  if(isset($dgwork_option['player_preview']) && $dgwork_option['player_preview']==1){
  	if($preview_type=='audio' || $preview_type=='video'){
	  ob_start();
	  dgwork_item_preview();
	  return ob_get_clean();
	}else{
	  return get_the_post_thumbnail();
	}
  }else{
	  return get_the_post_thumbnail();
  }
}

//add_filter('tmvs_edd_grid_class', 'dgwork_tmvs_edd_grid_class');
function dgwork_tmvs_edd_grid_class(){
	global $dgwork_option;

	$extra_class = '';
	if(isset($dgwork_option['player_preview']) && $dgwork_option['player_preview']==1){
		$extra_class = 'player_preview';
	}
	return $extra_class;
}