<?php
/**
 * Template Name: Account Template
 *
 * This is the user account page template
 * @package Diggify
 */

get_header(); 
if(isset($_GET['page'])){
  $account_page=$_GET['page'];
}else{
  $account_page='';
}
?>

  <div class="dgwork_user_nav">
    <div class="dgw-grid-1000">
		  <ul class="dgwork_user_dropdown">
			  <li<?php dgwork_current_item($account_page,'');?>><a href="?"><i class="fa fa-cloud-download"></i><?php esc_html_e('Downloads','dgwork');?></a></li>
			 
			  <?php if(class_exists('EDD_Recurring')):?>
			  <li<?php dgwork_current_item($account_page,'subscriptions');?>><a href="?page=subscriptions"><i class="fa fa-recycle"></i><?php esc_html_e('Subscriptions','dgwork');?></a></li>
			  <?php endif;?>

			  <li<?php dgwork_current_item($account_page,'billing');?>><a href="?page=billing"><i class="fa fa-file-text-o"></i><?php esc_html_e('Billing History','dgwork');?></a></li>

			  <?php if(class_exists('EDD_Wish_Lists')):?>
			  <li<?php dgwork_current_item($account_page,'wishlists');?>><a href="?page=wishlists"><i class="fa fa-star"></i><?php esc_html_e('Wish Lists','dgwork');?></a></li>
			  <?php endif;?>

			  <?php
			  $discounts = edd_get_discounts();
			  if ( ! empty( $discounts ) && edd_has_active_discounts() ):
			  ?>
			  <li<?php dgwork_current_item($account_page,'discounts');?>><a href="?page=discounts"><i class="fa fa-tag"></i><?php esc_html_e('Discounts','dgwork');?></a></li>
			  <?php endif; ?>

			  <?php if(class_exists('Affiliate_WP')):?>
			  <li<?php dgwork_current_item($account_page,'affiliate');?>><a href="?page=affiliate"><i class="fa fa-share-alt"></i><?php esc_html_e('Affiliate','dgwork');?></a></li>
			  <?php endif;?>

			  <li<?php dgwork_current_item($account_page,'profile');?>><a href="?page=profile"><i class="fa fa-user"></i><?php esc_html_e('Edit Profile','dgwork');?></a></li>

			  <?php if(class_exists('EDD_Front_End_Submissions')):?>
			  <li<?php dgwork_current_item($account_page,'seller');?>><a href="<?php echo get_permalink(EDD_FES()->helper->get_option( 'fes-vendor-dashboard-page', false ));?>"><i class="fa fa-upload"></i><?php esc_html_e('Seller Dashboard','dgwork');?></a></li>
			  <?php endif;?>

 			  <?php if ( is_user_logged_in()):?>
			  <li class="logout"><?php echo wp_loginout(home_url());?></li>
			  <?php else:?>
			  <li class="login"><a href="?"><?php esc_html_e('Login','dgwork');?></a></li>
			  <li class="register"><a href="?page=register"><?php esc_html_e('Register','dgwork');?></a></li>
			  <?php endif;?>
		  </ul>
	</div>
	<div id="mobileMenu"></div>
  </div>
  
  <?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   */
	  do_action('dgwork_before_content');
	?>
	  
	  <div class="account_content">
	  	  <?php if ( is_user_logged_in()):?>

		      <?php if($account_page==''|| $account_page=='downloads'):?>
			  <div id="downloads" class="tab">
			     <h2><?php esc_html_e('Downloads History','dgwork');?></h2>
			     <?php echo do_shortcode('[download_history]');?>
			  </div>
			  <?php endif;?>

			  <?php if(class_exists('EDD_Recurring') && $account_page=='subscriptions'):?>
			  <div id="subscriptions" class="tab">
			    <h2><?php esc_html_e('Subscriptions','dgwork');?></h2>
			    <?php echo do_shortcode('[edd_subscriptions]');?>
			  </div>
			  <?php endif;?>
			  
			  <?php if($account_page=='billing'):?>
			  <div id="billing" class="tab">
			    <?php 
                 if(isset($_GET['payment_id']) && $_GET['payment_id'] !== '' && !isset($_GET['license_id'])){
                 	  echo '<h2>'.esc_html__('Licenses','dgwork').'</h2>';
                      edd_get_template_part( 'licenses', 'manage-overview' );
                 }elseif(isset($_GET['license_id']) && $_GET['license_id'] != ''){
                 	  echo '<h2>'.esc_html__('Manage Licenses','dgwork').'</h2>';
                      edd_get_template_part( 'licenses', 'manage-single' );
                 }else{
                 	 echo '<h2>'.esc_html__('Billing History','dgwork').'</h2>';
			         echo do_shortcode('[purchase_history]');
                 }
			    ?>
			  </div>
			  <?php endif;?>

			  <?php if(class_exists('EDD_Wish_Lists') && $account_page=='wishlists'):?>
				  <div id="wishlists" class="tab">
				    <?php 
	                 	 echo '<h2>'.esc_html__('WishLists','dgwork').'</h2>';
				         echo do_shortcode('[edd_wish_lists]');
				    ?>
				  </div>
			  <?php endif;?>

			  
			  <?php if($account_page=='discounts'):?>
			  <h2><?php esc_html_e('Discounts','dgwork');?></h2>
			  <div id="discounts" class="tab">
			    <p><?php esc_html_e('When you purchase our theme, the following discounts will save you a lot of money!','dgwork');?></p>
		        <?php echo do_shortcode('[download_discounts]');?>
			  </div>
			  <?php endif;?>

			  <?php if(class_exists('Affiliate_WP') && $account_page=='affiliate'):?>
			  <h2><?php esc_html_e('Affiliate Dashboard','dgwork');?></h2>
			  <div id="affiliate" class="tab">
		        <?php echo do_shortcode('[affiliate_area]');?>
			  </div>
			  <?php endif;?>
			  
			  <?php if($account_page=='profile'):?>
			  <h2><?php esc_html_e('Edit Profile','dgwork');?></h2>
			  <div id="edit-profile">
			    <?php echo do_shortcode('[edd_profile_editor]');?>
			  </div>
			  <?php endif;?>

		    <?php elseif($account_page=='register'):?>
			  <div id="register">
			    <?php echo do_shortcode('[edd_register redirect="'.home_url('/').'"]');?>
			  </div>

		  	<?php
	        else:
	            echo do_shortcode('[edd_login]');
	        endif;
	      ?>
	 </div>
	 

    <?php
	  /* Hook: dgwork_after_content
	   * @Hooked: dgwork_after_content()
	   */
	  do_action('dgwork_after_content');
	?>
<?php get_footer(); ?>
