<?php
/**
 * Template Name: Default Template With Sidebar
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package DGWork
 */

get_header(); ?>
	<?php
	  /* Hook: dgwork_before_content, dgwork_before_main_content
	   * @Hooked: dgwork_before_content()
	   * @Hooked: dgwork_before_main_content();
	   */
	  do_action('dgwork_before_content');
	  do_action('dgwork_before_main_content');
	?>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'template-parts/content', 'page' ); ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>

			<?php endwhile; // End of the loop. ?>

		<?php
		  /* Hook: dgwork_after_main_content
		   * @Hooked: dgwork_after_main_content();
		   */
		  do_action('dgwork_after_main_content');
		?>
		
		<?php get_sidebar('page'); ?>
	
	    <?php
	    /* Hook: dgwork_after_content
	     * @Hooked: dgwork_after_content();
	     */
		 do_action('dgwork_after_content');	 
	    ?>
<?php get_footer(); ?>
