<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * * @package DGWork
 */

global $dgwork_option;

$hide_button_class = $dgwork_option['hide_buy_now_button'] == '1' ? 'hide_buy_button' : '';
?>

<div <?php post_class( $hide_button_class );?>>   
	<?php 
	 $price = esc_attr(get_post_meta(get_the_ID(), "edd_price", true));
	 $hide_price = get_post_meta(get_the_ID(), "_dgwork_hide_price", true);
	 $hide_free = get_post_meta(get_the_ID(), "_dgwork_hide_free", true);
	 $preview = esc_attr(get_post_meta(get_the_ID(), "_dgwork_preview_url", true));
	 $short_description = esc_attr(get_post_meta(get_the_ID(), "_dgwork_short_description", true));
	 $button_text = esc_attr__('Buy Now','dgwork');
	 $preview_type = esc_attr(get_post_meta(get_the_ID(), "_dgwork_preview_type", true));
	 
	 $price_html = !edd_has_variable_prices(get_the_ID()) ? edd_price(get_the_ID(), false) : edd_price_range( get_the_ID() );

	 if($price==0){
		if($hide_free !== 1){
		  echo '<div class="freeLabel">'.esc_attr__('Free!','dgwork').'</div>';
	    }
		$button_text =esc_attr__('Download','dgwork');
	 }
	?>
	<div class="dgwork-grid-item <?php echo esc_attr($preview_type);?>">
	   <div class="image-box">
	       <?php
        	if($dgwork_option['hide_buy_now_button']=='0'){
	            if(esc_attr(get_post_meta(get_the_ID(), "_dgwork_external_checkout_url", true))<>''){
		          $buy_link = '<a href="'.esc_url(get_post_meta(get_the_ID(), "_dgwork_external_checkout_url", true)).'" class="buy_link" target="_blank"><i class="fa fa-download"></i>'.esc_attr($button_text).'</a>';
		        }else{
		          $buy_link = '<a href="'.home_url('/').'checkout?edd_action=add_to_cart&download_id=.'.get_the_ID().'" class="buy_link"><i class="fa fa-shopping-cart"></i>'.esc_attr($button_text).'</a>';
		        }
            }
           	if($preview_type=='audio' || $preview_type=='video' || $preview_type=='video_file'){
           		if(isset($dgwork_option['player_preview']) && $dgwork_option['player_preview'] == '1'){
           			echo '<div class="hover-info">
           					<a class="title" href="'.esc_url(get_permalink()).'">'.get_the_title().'</a>
           					'.$price_html.'
           				  </div>';
           		    dgwork_item_preview();
           	    }else{
           	    	the_post_thumbnail( dgwork_thumbnail_size() );
           	    }
           	}else{
           		the_post_thumbnail( dgwork_thumbnail_size() );
           	}
	       ?>
	   </div>

    <?php if( $preview_type !== 'audio' && $preview_type !== 'video' && $preview_type !== 'video_file'):?>
	   <div class="text-desc">
	      <?php if(!isset($hide_price) || $hide_price<>'1'):?>
	        <?php echo $price_html; ?>
	        <span class="divider"></span>
	      <?php endif;?>

	      <?php if($hide_price=='1'):?>
	      <p>
	      <?php endif;?>
	      <a href="<?php echo esc_url(get_permalink());?>" class="button details"><i class="fa fa-eye"></i><?php esc_attr_e('Details','dgwork');?></a>
	      
          <?php 
          if($dgwork_option['hide_buy_now_button']=='0'):
          ?>
		      <?php if(esc_attr(get_post_meta(get_the_ID(), "_dgwork_external_checkout_url", true))<>''):?>
	          	 <a href="<?php echo esc_url(get_post_meta(get_the_ID(), "_dgwork_external_checkout_url", true));?>" class="external-checkout button" target="_blank"><i class="fa fa-download"></i><?php echo esc_attr($button_text);?></a>
	          <?php elseif(!edd_has_variable_prices(get_the_ID())):?>
	          	 <a href="<?php echo home_url('/');?>checkout?edd_action=add_to_cart&download_id=<?php the_ID();?>" class="button add_to_cart"><i class="fa fa-shopping-cart"></i><?php echo esc_attr($button_text);?></a>
	          <?php endif;?>
          <?php endif;?>

          <?php if($hide_price=='1'):?>
          	</p>
	      <?php endif;?>
	   </div>
    <?php endif;?>
	</div>
	<h3 class="dgwork-grid-title"><a href="<?php echo esc_url(get_permalink());?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
	<p class="dgwork-grid-subtitle"><?php echo dgwork_truncate($short_description,100);?></p>

	<?php 
		$show_price = class_exists( 'EDD_Wish_Lists' ) ? 0 : 1;
		echo '<div class="dgwork-edd-buy-wrapper">'.do_shortcode('[purchase_link price="'.$show_price.'" text="'.$button_text.'"]').'</div>';
	?>
</div>
